Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.struts.command
Class StrutsFilteredViewCommand

    java.lang.Object
      com.ibm.portal.struts.command.StrutsViewCommand
          com.ibm.portal.struts.command.StrutsFilteredViewCommand

All Implemented Interfaces:
  IViewCommand, java.io.Serializable

Direct Known Subclasses:
  StrutsViewStaticCommand

    public abstract class StrutsFilteredViewCommand

extends StrutsViewCommand

Filter the command with various Transcoding functions.

Since:
  5.1
See Also:
  Serialized Form

Field Summary
`protected java.lang.Class` | `wpsStrutsTranscodingRequestWrapper` The transcoding request wrapper.

Fields inherited from class com.ibm.portal.struts.command.StrutsViewCommand
`CONTENT_TYPE, messages, PREFIX`

Constructor Summary
`StrutsFilteredViewCommand(PortletRequest request)` Constructor for the StrutsFilteredViewCommand object

Method Summary
`void` | `execute(RenderRequest request, RenderResponse response, ViewCommandExecutionContext executionContext)` The execute method for filtered view commands
`protected abstract void` | `executeCommand(RenderRequest request, RenderResponse response, ViewCommandExecutionContext executionContext)` The execute command method that subclasses must implement
`protected boolean` | `isDebugOn()` Returns true if debug is enabled
`protected void` | `trace(java.lang.String method, java.lang.String message)` Trace the message.

Methods inherited from class com.ibm.portal.struts.command.StrutsViewCommand
`addAttribute, addAttributeNameToSave, addAttributeTypeToSave, getContentType, getPrefix, getRemoveOnModeChange, getSavedAttributes, getSavedCommand, removeAttribute, removeAttributeNameToSave, removeAttributeTypeToSave, repopulateRequest, saveAsAttribute, saveAttribute, saveAttributes, saveAttributes, saveCommand, saveCommand, setContentType, setContentType, setPrefix, setRemoveOnModeChange, setSavedAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### wpsStrutsTranscodingRequestWrapper

    protected java.lang.Class wpsStrutsTranscodingRequestWrapper

  The transcoding request wrapper.

Constructor Detail

### StrutsFilteredViewCommand

    public StrutsFilteredViewCommand(PortletRequest request)

  Constructor for the StrutsFilteredViewCommand object

  Parameters:
    `request` - the http servlet request

Method Detail

### execute

    public void execute(RenderRequest request,
                        RenderResponse response,
                        ViewCommandExecutionContext executionContext)
                 throws PortletException

  The execute method for filtered view commands

  Specified by:
    `execute` in interface `IViewCommand`
  Overrides:
    `execute` in class `StrutsViewCommand`
  Parameters:
    `request` - The request object
    `request` - The response object
    `executionContext` - the execution context object
    `response` - the response object
  Throws:
    `PortletException` - if the request cannot be fulfilled

### trace

    protected void trace(java.lang.String method,
                         java.lang.String message)

  Trace the message. Does not check to see if tracing is enabled.

  Parameters:
    `method` - the method name
    `message` - the message

### isDebugOn

    protected boolean isDebugOn()

  Returns true if debug is enabled

  Returns:
    true if debug is on

### executeCommand

    protected abstract void executeCommand(RenderRequest request,
                                           RenderResponse response,
                                           ViewCommandExecutionContext executionContext)
                                    throws PortletException

  The execute command method that subclasses must implement

  Parameters:
    `request` - The request object
    `request` - The response object
    `executionContext` - the execution context object
  Throws:
    `PortletException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD